#!/bin/bash

# Function to enable apache service
enable_apache() {
    /etc/init.d/K99apache start
    if [ $? -ne 0 ]; then
        echo "Failed to start the Web Interface service."
        exit 1
    fi
    
    
    echo "Web Interface has been started and will run until manually stopped or the system is rebooted."
}

# Function to disable apache service
disable_apache() {
    /etc/init.d/K99apache stop
    if [ $? -ne 0 ]; then
        echo "Failed to stop the Web Interface service."
        exit 1
    fi
    

    echo "Web Interface has been stopped and will remain stopped until manually started."
}

# Check if the script is being run as root
if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root" 
   exit 1
fi

# Check the command-line input
if [ "$1" == "enable" ]; then
    enable_apache
elif [ "$1" == "disable" ]; then
    disable_apache
else
    echo "Usage: $0 <enable|disable>"
    exit 1
fi

